Skip to main content
GET
Check personalization job status

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

job_id
string
required

Response

Successful Response

Response model for personalization job status.

job_id
string
required

Job identifier

status
string
required

Current job status

progress_percentage
integer
required

Progress percentage (0-100)

Required range: 0 <= x <= 100
processed_leads
integer
required

Number of processed leads

Required range: x >= 0
failed_leads
integer
required

Number of failed leads

Required range: x >= 0
error_message
string | null

Error message if failed

started_at
string | null

Job start timestamp

completed_at
string | null

Job completion timestamp

credits_used
integer | null

Credits consumed